Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io
Class ResolvingMarshalOutputStream

`java.lang.Object
java.io.OutputStream
java.io.ObjectOutputStream
sun.rmi.server.MarshalOutputStream
com.tangosol.io.ResolvingMarshalOutputStream`

All Implemented Interfaces:
  Resolving, java.io.Closeable, java.io.DataOutput, java.io.Flushable, java.io.ObjectOutput, java.io.ObjectStreamConstants

      public class ResolvingMarshalOutputStream

extends sun.rmi.server.MarshalOutputStream
implements Resolving

A marker implementation to mirror the ResolvingMarshalInputStream implementation.

Author:
  cp 2006.08.02

Nested Class Summary

Nested classes/interfaces inherited from class java.io.ObjectOutputStream
`java.io.ObjectOutputStream.PutField`

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`ResolvingMarshalOutputStream(java.io.OutputStream out)`

Method Summary

Methods inherited from class sun.rmi.server.MarshalOutputStream
`annotateClass, annotateProxyClass, replaceObject, writeLocation`

Methods inherited from class java.io.ObjectOutputStream
`close, defaultWriteObject, drain, enableReplaceObject, flush, putFields, reset, useProtocolVersion, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeClassDescriptor, writeDouble, writeFields, writeFloat, writeInt, writeLong, writeObject, writeObjectOverride, writeShort, writeStreamHeader, writeUnshared, writeUTF`

Constructor Detail

### ResolvingMarshalOutputStream

    public ResolvingMarshalOutputStream(java.io.OutputStream out)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.